Package com.xebialabs.xlrelease.utils

## Class ListUtils.ScalaListUpdateInPlace$

- java.lang.Object
- - com.xebialabs.xlrelease.utils.ListUtils.ScalaListUpdateInPlace$

- Enclosing class:
    ListUtils

      public static class ListUtils.ScalaListUpdateInPlace$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ListUtils.ScalaListUpdateInPlace$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScalaListUpdateInPlace$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A> boolean` | `equals$extension​(ListUtils.ScalaListUpdateInPlace<A> $this, java.lang.Object x$1)` |
    `<A> int` | `hashCode$extension​(ListUtils.ScalaListUpdateInPlace<A> $this)` |
    `<A> scala.collection.immutable.List<A>` | `replace$extension​(ListUtils.ScalaListUpdateInPlace<A> $this, scala.Function1<A,​java.lang.Object> findElem, A elem)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final ListUtils.ScalaListUpdateInPlace$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ScalaListUpdateInPlace$

          public ScalaListUpdateInPlace$()

  - ### Method Detail

    - #### replace$extension

          public final <A> scala.collection.immutable.List<A> replace$extension​(ListUtils.ScalaListUpdateInPlace<A> $this,
                                                                                scala.Function1<A,​java.lang.Object> findElem,
                                                                                A elem)

    - #### hashCode$extension

          public final <A> int hashCode$extension​(ListUtils.ScalaListUpdateInPlace<A> $this)

    - #### equals$extension

          public final <A> boolean equals$extension​(ListUtils.ScalaListUpdateInPlace<A> $this,
                                                    java.lang.Object x$1)